<div class="col-sm-<?= $content_width ?> cm-i-featured_products">

  <h4><?= MODULE_CONTENT_INDEX_FEATURED_PRODUCTS_TITLE . ((MODULE_CONTENT_INDEX_FEATURED_PRODUCTS_SHOW_BUTTON == 'True')? '&nbsp;&nbsp;' . tep_draw_button(MODULE_CONTENT_INDEX_FEATURED_PRODUCTS_IMAGE_BUTTON_SEE_MORE, 'fas fa-caret-right', tep_href_link('featured_products.php'), 'primary', null):'') ?></h4>

  <div class="<?= $card_layout ?>">
    <?php
    while ( $products_data = $featured_products_query->fetch_assoc() ) {
      ?>
      <div class="col mb-2">
        <div class="card h-100 is-product" data-is-special="<?= (int)$products_data['is_special'] ?>" data-product-price="<?= $GLOBALS['currencies']->display_raw($products_data['final_price'], tep_get_tax_rate($products_data['products_tax_class_id'])) ?>" data-product-manufacturer="<?= max(0, (int)$products_data['manufacturers_id']) ?>">
          <a href="<?= tep_href_link('product_info.php', 'products_id=' . (int)$products_data['products_id']) ?>"><?= tep_image('images/' . $products_data['products_image'], htmlspecialchars($products_data['products_name']), SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT, '', true, 'card-img-top') ?></a>               
          <div class="card-body">
            <h5 class="card-title">
              <a href="<?= tep_href_link('product_info.php', 'products_id=' . (int)$products_data['products_id']); ?>"><?= $products_data['products_name']; ?></a>
            </h5>
            <h6 class="card-subtitle mb-2 text-muted">
              <?php
              if (MODULE_CONTENT_INDEX_FEATURED_PRODUCTS_SHOW_DESCRIPTION == 'True') {
                echo '<p><a href="' . tep_href_link('product_info.php', 'products_id=' . $products_data['products_id']) . '"><span itemprop="description">' . strip_tags($products_data['products_description']) . ((str_word_count(strip_tags($products_data['products_description'])) == MODULE_CONTENT_INDEX_FEATURED_PRODUCTS_DESCRIPTION_LENGTH)? MODULE_CONTENT_INDEX_FEATURED_PRODUCTS_SHOW_MORE : '') . '</span></a></p>';
              }
              if ($products_data['is_special'] == 1) {
                echo sprintf(IS_PRODUCT_SHOW_PRICE_SPECIAL, $GLOBALS['currencies']->display_price($products_data['products_price'], tep_get_tax_rate($products_data['products_tax_class_id'])), $GLOBALS['currencies']->display_price($products_data['specials_new_products_price'], tep_get_tax_rate($products_data['products_tax_class_id'])));
              } else {
                echo sprintf(IS_PRODUCT_SHOW_PRICE, $GLOBALS['currencies']->display_price($products_data['products_price'], tep_get_tax_rate($products_data['products_tax_class_id'])));
              }
              ?>
            </h6>          
          </div>
          <div class="card-footer bg-white pt-0 border-0">
            <div class="btn-group" role="group">
              <?php
              echo tep_draw_button(IS_PRODUCT_BUTTON_VIEW, '', tep_href_link('product_info.php', tep_get_all_get_params(['action', 'products_id', 'sort']) . 'products_id=' . (int)$products_data['products_id']), NULL, NULL, 'btn-info btn-product-listing btn-view') . PHP_EOL;
              $has_attributes = (tep_has_product_attributes((int)$products_data['products_id']) === true) ? '1' : '0';                                                
              if ($has_attributes == 0) echo tep_draw_button(IS_PRODUCT_BUTTON_BUY, '', tep_href_link(basename($GLOBALS['PHP_SELF']), tep_get_all_get_params(['action', 'products_id', 'sort']) . 'action=buy_now&products_id=' . (int)$products_data['products_id']), NULL, ['params' => 'data-has-attributes="' . $has_attributes . '" data-in-stock="' . (int)$products_data['in_stock'] . '" data-product-id="' . (int)$products_data['products_id'] . '"'], 'btn-light btn-product-listing btn-buy') . PHP_EOL;
              ?>
            </div>
          </div>
        </div>
      </div>
    <?php
    }
  ?>
  </div>

</div>

<?php
/*
  Featured Products CE Phoenix v2.2.3
  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Copyright (c) 2021: Rainer Schmied - @raiwa

  Featured Products Phoenix Cart v2.2.3
  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Copyright (c) 2021: Rainer Schmied - @raiwa

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/
